# Class UserFindMode

java.lang.Object
uk.ac.starlink.ttools.task.UserFindMode

public class UserFindMode extends Object
Mode for upload crossmatches corresponding to the user options. This is related to the ServiceFindMode, but not in a 1:1 fashion.

Since:
  5 Jun 2014
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final UserFindMode`
`ALL`
All matches.
`static final UserFindMode`
`BEST`
Best match only.
`static final UserFindMode`
`BEST_REMOTE`
Best match in local table for each remote table row.
`static final UserFindMode`
`EACH`
One output row per local table row, best match or blank.
`static final UserFindMode`
`EACH_SCORE`
One output row per local table row, best score only or blank.

## Method Summary

Modifier and Type
Method
Description
`static UserFindMode[]`
`getInstances()`
Returns a list of all the useful instances of this class.
`String`
`getName()`
Returns the one-word name for this mode.
`ServiceFindMode`
`getServiceMode()`
Returns the service mode associated with this user mode.
`String`
`getSummary()`
Returns a short text summary of the meaning of this mode.
`boolean`
`isOneToOne()`
Indicates whether this mode describes a match for which the count and sequence of the output table rows are in one to one correspondence with the input table rows.
`String`
`toString()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### ALL

public static final UserFindMode ALL
All matches.

### BEST

public static final UserFindMode BEST
Best match only.

### BEST_REMOTE

public static final UserFindMode BEST_REMOTE
Best match in local table for each remote table row.

### EACH

public static final UserFindMode EACH
One output row per local table row, best match or blank.

### EACH_SCORE

public static final UserFindMode EACH_SCORE
One output row per local table row, best score only or blank.

## Method Details

### getName

public String getName()
Returns the one-word name for this mode.

Returns:
  mode name

### getSummary

public String getSummary()
Returns a short text summary of the meaning of this mode.

Returns:
  mode summary

### getServiceMode

public ServiceFindMode getServiceMode()
Returns the service mode associated with this user mode.

Returns:
  service mode

### isOneToOne

public boolean isOneToOne()
Indicates whether this mode describes a match for which the count and sequence of the output table rows are in one to one correspondence with the input table rows.

Returns:
  true iff output rows match 1:1 with input rows

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### getInstances

public static UserFindMode[] getInstances()
Returns a list of all the useful instances of this class.